Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
red_team_specs = client.dataframer.red_team_specs.list()
print(red_team_specs)curl https://df-api.dataframer.ai/api/dataframer/red-team-specs/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"domain_description": "<string>",
"app_description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by_email": "<string>"
}
]Red Teaming
List red team specs
Get all red team specs
GET
/
api
/
dataframer
/
red-team-specs
/
Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
red_team_specs = client.dataframer.red_team_specs.list()
print(red_team_specs)curl https://df-api.dataframer.ai/api/dataframer/red-team-specs/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"domain_description": "<string>",
"app_description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by_email": "<string>"
}
]Authorizations
API Key authentication. Format: "Bearer YOUR_API_KEY"
Response
List of red team specs
Unique identifier for the red team spec
Name of the red team spec
Description of the domain
Description of the application
Timestamp when the spec was created
Email of the user who created this spec

